Altibase.jdbc.driver

## Class AbstractCallableStatement

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AltibaseStatement
    - - Altibase.jdbc.driver.AbstractPreparedStatement
      - - Altibase.jdbc.driver.AltibasePreparedStatement
        - - Altibase.jdbc.driver.AbstractCallableStatement

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

Direct Known Subclasses:
  AltibaseCallableStatement

    public abstract class AbstractCallableStatement
    extends AltibasePreparedStatement
    implements java.sql.CallableStatement

java.sql.CallableStatement 인터페이스 중 구현하지 않는 인터페이스를 정의한다.

### Nested Class Summary

### Nested classes/interfaces inherited from class Altibase.jdbc.driver.AltibaseStatement

`AltibaseStatement.ExecuteResultManager`

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibasePreparedStatement

`mBatchAdded, mBatchJobCount, mBatchRowHandle, mBindColumns, mContext, mLobUpdator`

### Fields inherited from class Altibase.jdbc.driver.AltibaseStatement

`BYTES_PER_CHAR, EMPTY_LARGE_BATCH_RESULT, mBatchSetBytesUseLob, mConnection, mCurrentResultIndex, mCurrentResultSet, mEscapeProcessing, mExecuteResultMgr, mExecutionResult, mFetchResult, mFetchSize, mForceClobBind, mIsClosed, mIsDeferred, mMaxFieldSize, mMaxRows, mPrepareResult, mPrepareResultColumns, mQstr, mResultSetList, mResultSetReturned, mReUseResultSet, mStmtCID, mTargetResultSetConcurrency, mTargetResultSetType, mWarning`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCallableStatement(AltibaseConnection aConnection, java.lang.String aSql, int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.Reader` `getNCharacterStream(int aParameterIndex)`
`java.io.Reader` `getNCharacterStream(java.lang.String aParameterName)`
`java.sql.NClob` `getNClob(int aParameterIndex)`
`java.sql.NClob` `getNClob(java.lang.String aParameterName)`
`java.sql.RowId` `getRowId(int aParameterIndex)`
`java.sql.RowId` `getRowId(java.lang.String aParameterName)`
`java.sql.SQLXML` `getSQLXML(int aParameterIndex)`
`java.sql.SQLXML` `getSQLXML(java.lang.String aParameterName)`
`void` `setNCharacterStream(java.lang.String aParameterName, java.io.Reader aValue)`
`void` `setNCharacterStream(java.lang.String aParameterName, java.io.Reader aValue, long aLength)`
`void` `setNClob(java.lang.String aParameterName, java.sql.NClob aValue)`
`void` `setNClob(java.lang.String aParameterName, java.io.Reader aReader)`
`void` `setNClob(java.lang.String aParameterName, java.io.Reader aReader, long aLength)`
`void` `setRowId(java.lang.String aParameterName, java.sql.RowId aRowId)`
`void` `setSQLXML(java.lang.String aParameterName, java.sql.SQLXML aXmlObject)`

### Methods inherited from class Altibase.jdbc.driver.AltibasePreparedStatement

`addBatch, addBatch, addMetaColumnInfo, clearBatch, clearParameters, closeAllPrevResultSet, closeAllResultSet, closeCurrentResultSet, createProtocolContext, execute, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getAtomicBatch, getColumn, getColumn, getColumnForInType, getDefaultPrecisionForDeferred, getMetaData, getParameterMetaData, getProtocolContext, getResultSet, getStmtId, incCurrentResultSetIndex, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setAtomicBatch, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, toString`

### Methods inherited from class Altibase.jdbc.driver.AbstractPreparedStatement

`setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setRowId, setSQLXML`

### Methods inherited from class Altibase.jdbc.driver.AltibaseStatement

`afterExecution, cancel, clearAllResults, clearWarnings, close, closeOnCompletion, createInternalStatement, downgradeFetchSize, executeLargeUpdate, getConnection, getExplainPlan, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSql, getUpdateCount, getWarnings, isAsyncPrefetch, isClosed, isCloseOnCompletion, isInternalStatement, isPingSQL, isPoolable, pingAndCreateLightweightResultSet, procDowngradeAndGetTargetSql, processExecutionQueryResult, processExecutionResult, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, setSql, toInt, toIntBatchUpdateCounts`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.CallableStatement

`getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getURL, getURL, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setURL, wasNull`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### AbstractCallableStatement

    public AbstractCallableStatement(AltibaseConnection aConnection,
                                     java.lang.String aSql,
                                     int aResultSetType,
                                     int aResultSetConcurrency,
                                     int aResultSetHoldability)
                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### getRowId

    public java.sql.RowId getRowId(int aParameterIndex)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId(java.lang.String aParameterName)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setRowId

    public void setRowId(java.lang.String aParameterName,
                         java.sql.RowId aRowId)
                  throws java.sql.SQLException

Specified by:
  `setRowId` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNCharacterStream

    public void setNCharacterStream(java.lang.String aParameterName,
                                    java.io.Reader aValue,
                                    long aLength)
                             throws java.sql.SQLException

Specified by:
  `setNCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(java.lang.String aParameterName,
                         java.sql.NClob aValue)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(java.lang.String aParameterName,
                         java.io.Reader aReader,
                         long aLength)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNCharacterStream

    public void setNCharacterStream(java.lang.String aParameterName,
                                    java.io.Reader aValue)
                             throws java.sql.SQLException

Specified by:
  `setNCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(java.lang.String aParameterName,
                         java.io.Reader aReader)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(int aParameterIndex)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(int aParameterIndex)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(java.lang.String aParameterName)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setSQLXML

    public void setSQLXML(java.lang.String aParameterName,
                          java.sql.SQLXML aXmlObject)
                   throws java.sql.SQLException

Specified by:
  `setSQLXML` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(int aParameterIndex)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(java.lang.String aParameterName)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(java.lang.String aParameterName)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`